# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename sauce-tunnel

Name:               nodejs-sauce-tunnel
Version:            2.2.3
Release:            2%{?dist}
Summary:            A wrapper around the Sauce Labs tunnel jar

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/sauce-tunnel
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%if 0%{?enable_tests}
BuildRequires:      npm(chalk)
BuildRequires:      npm(request)
%endif


%description
A Node.js wrapper around the Saucelabs tunnel jar.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/
rm -rf vendor/

%nodejs_fixdep --caret
%nodejs_fixdep chalk

%build
# Nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/sauce-tunnel
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/sauce-tunnel

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node ./test/sanity
%endif


%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/sauce-tunnel/

%changelog
* Fri Aug 28 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.2.3-2
- fixdep chalk

* Fri Aug 28 2015 Piotr Popieluch <piotr1212@gmail.com> - 2.2.3-1
- new version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 2.2.2-1
- new version

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 2.2.2-1
- new version

* Tue Nov 25 2014 Ralph Bean <rbean@redhat.com> - 2.1.0-1
- Make Buildrequires conditional.
- Remove the vendor/ dir.
- Specify noarch.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 2.0.6-1
- Initial packaging for Fedora.
